/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
package net.myvietnam.mvnplugin.mvnforum.db;

import java.util.Collection;//for xml support
import java.util.Iterator;//for xml support

/*
 * Included columns: GroupID, Permission
 * Excluded columns:
 */
public class GroupPermissionBean {
    private int groupID;
    private int permission;

    public int getGroupID() {
        return groupID;
    }
    public void setGroupID(int groupID) {
        this.groupID = groupID;
    }

    public int getPermission() {
        return permission;
    }
    public void setPermission(int permission) {
        this.permission = permission;
    }

    public String getXML() {
        StringBuffer xml = new StringBuffer(1024);
        xml.append("<GroupPermissionSection>\n");
        xml.append("  <Rows>\n");
        xml.append("    <Row>\n");
        xml.append("      <Column>\n");
        xml.append("        <Name>GroupID</Name>\n");
        xml.append("        <Value>").append(String.valueOf(groupID)).append("</Value>\n");
        xml.append("      </Column>\n");
        xml.append("      <Column>\n");
        xml.append("        <Name>Permission</Name>\n");
        xml.append("        <Value>").append(String.valueOf(permission)).append("</Value>\n");
        xml.append("      </Column>\n");
        xml.append("    </Row>\n");
        xml.append("  </Rows>\n");
        xml.append("</GroupPermissionSection>\n");
        return xml.toString();
    }

    public static String getXML(Collection objGroupPermissionBeans) {
        StringBuffer xml = new StringBuffer(1024);
        Iterator iterator = objGroupPermissionBeans.iterator();
        xml.append("<GroupPermissionSection>\n");
        xml.append("  <Rows>\n");
        while (iterator.hasNext()) {
            GroupPermissionBean objGroupPermissionBean = (GroupPermissionBean)iterator.next();
            xml.append("    <Row>\n");
            xml.append("      <Column>\n");
            xml.append("        <Name>GroupID</Name>\n");
            xml.append("        <Value>").append(String.valueOf(objGroupPermissionBean.groupID)).append("</Value>\n");
            xml.append("      </Column>\n");
            xml.append("      <Column>\n");
            xml.append("        <Name>Permission</Name>\n");
            xml.append("        <Value>").append(String.valueOf(objGroupPermissionBean.permission)).append("</Value>\n");
            xml.append("      </Column>\n");
            xml.append("    </Row>\n");
        }//while
        xml.append("  </Rows>\n");
        xml.append("</GroupPermissionSection>\n");
        return xml.toString();
    }
} //end of class GroupPermissionBean
